#include "../hws.h"
#include <QTest>
#include <QCoreApplication>

#include "SessionTests.h"
#include "ClientTests.h"

int main(int argc, char **argv)
{
    QCoreApplication app(argc, argv);

    int exit = 0;

    test::SessionTests sessionTests;
    exit += QTest::qExec(&sessionTests, argc, argv);

    if (exit > 0)
        return exit;

    test::ClientTests phoenixServicesClientTests;
    exit += QTest::qExec(&phoenixServicesClientTests, argc, argv);

    return exit;
}

#include "HWSIntegrationTests.moc"
